Subject: bug#37836: 27.0.50; Snake exit not save produces segfault

From: Ergus <[email-masked]>
Date: Thu, 23 Jan 2020 13:41:10 +0100

On Wed, Jan 22, 2020 at 07:39:19PM +0100, Stefan Kangas wrote:
>tags 37836 + unreproducible
>thanks
>
>Ergus <[email-masked]> writes:
>
>>>> When I said yes there was not segfault anymore.
>>>
>>>When you saw it, were you able to reproduce it consistently using the
>>>recipe you gave above?
>>>
>> Yes, but I can't reproduce it now doing a checkout to c2cd27bce.
>
>I tried that too, and I can't reproduce it either.  Strange.
>
>Do you have any idea about what could have been different with your
>old build?  Any changes in your environment perhaps?
>
>I'm not really sure how to investigate this beyond that.  Does anyone
>else have any ideas here?
>
>Best regards,
>Stefan Kangas

Hi Stefan:

Probably the message:

Error running timer .snake-update-game.: (error "Canceled")

is related with this. Maybe we should investigate in that direction?
What do you think?

Best
Ergus